com.beaglebuddy.mpeg.enums

## Enum MPEGVersion

- java.lang.Object
- - java.lang.Enum<MPEGVersion>
  - - com.beaglebuddy.mpeg.enums.MPEGVersion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MPEGVersion>

      public enum MPEGVersion
      extends java.lang.Enum<MPEGVersion>

  The list of MPEG versions supported by the MPEG audio standard.
  See Also:
    `MPEGFrameHeader`, Moving Picture Experts Group

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MPEG_1` MPEG version 1
    `MPEG_2` MPEG version 2
    `MPEG_25` MPEG version 2.5 - not an official standard
    `MPEG_RESERVED` reserved for future use

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` gets the description of the MPEG version.
    `java.lang.String` | `getISOStandard()` gets the ISO standard describing the MPEG version.
    `java.lang.String` | `toString()` gets a string representation of the MPEG version enum.
    `static MPEGVersion` | `valueOf(int mpegVersion)` converts an integral value to its corresponding MPEG version enum.
    `static MPEGVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MPEGVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MPEG_25

          public static final MPEGVersion MPEG_25

      MPEG version 2.5 - not an official standard

    - #### MPEG_RESERVED

          public static final MPEGVersion MPEG_RESERVED

      reserved for future use

    - #### MPEG_2

          public static final MPEGVersion MPEG_2

      MPEG version 2

    - #### MPEG_1

          public static final MPEGVersion MPEG_1

      MPEG version 1

  - ### Method Detail

    - #### values

          public static MPEGVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MPEGVersion c : MPEGVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MPEGVersion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      gets the description of the MPEG version.
      Returns:
        the description of the MPEG version.

    - #### getISOStandard

          public java.lang.String getISOStandard()

      gets the ISO standard describing the MPEG version.
      Returns:
        the ISO standard describing the MPEG version.

    - #### valueOf

          public static MPEGVersion valueOf(int mpegVersion)
                                     throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding MPEG version enum.
      Parameters:
        `mpegVersion` - integral value to be converted to an MPEG version enum.
      Returns:
        the MPEG version enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid MPEG version.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the MPEG version enum.
      Overrides:
        `toString` in class `java.lang.Enum<MPEGVersion>`
      Returns:
        a string representation of the MPEG version enum.